Exact route permissions
Recover route permission
Recover the original permission issuance result using its operation key, including after confirmation expiry. Only the principal that submitted the original operation can recover it.
GET
/
v1
/
model-route-authorities
/
operations
/
{operationKey}
Recover route permission
curl --request GET \
--url https://api.getmillwork.dev/v1/model-route-authorities/operations/{operationKey} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-route-authorities/operations/{operationKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authority": {
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"route_authority_id": "<string>"
},
"authority_id": "<string>",
"authority_revision": 1,
"binding_revision": 1,
"bound": {
"assumptions": [
"<string>"
],
"input_volume_tokens": 1,
"meters": [
{
"maximum_microusd": 1,
"maximum_volume": 1,
"meter": "<string>",
"rate_usd": "<string>"
}
],
"output_volume_tokens": 1,
"provider_maximum_microusd": 1,
"rate_digest": "<string>",
"source_contract_revision": "<string>",
"anthropic_evidence": {
"evidence_refs": [
"<string>"
],
"expires_at": "<string>",
"input_usd_per_token": "<string>",
"output_usd_per_token": "<string>",
"proof_digest": "<string>",
"request_usd": "<string>",
"resolved_model_ids": [
"<string>"
],
"version": "anthropic.messages/v1"
},
"class_evidence": {
"evidence_refs": [
"<string>"
],
"expected_provider": "<string>",
"expires_at": "<string>",
"meter_limits": [
{
"maximum_volume": 1,
"meter": "<string>",
"usage_field": "prompt_tokens"
}
],
"partitions": [
{
"maximum_volume": 1,
"partition": "<string>",
"usage_fields": [
"<string>"
]
}
],
"proof_digest": "<string>",
"reasoning_maximum_tokens": 1,
"reasoning_mode": "disabled",
"resolved_model_ids": [
"<string>"
],
"revision": "<string>",
"version": "openrouter.classes/v1"
}
},
"connection_id": "<string>",
"expires_at": "<string>",
"issued_at": "<string>",
"item_id": "<string>",
"model_deployment_id": "<string>",
"observation_revision": "<string>",
"plan_digest": "<string>",
"planner_version": "<string>",
"policy_revision": 1,
"prepared_request": {
"max_tokens": 1,
"model": "<string>",
"provider": {
"allow_fallbacks": false,
"data_collection": "deny",
"max_price": {},
"only": [
"<string>"
],
"order": [
"<string>"
],
"require_parameters": true
},
"stream": false,
"usage": {
"include": true
},
"reasoning": {
"effort": "none"
}
},
"route_id": "<string>",
"source_id": "<string>",
"state": "authorized",
"task_envelope": {
"data_classes": [
"public"
],
"max_input_tokens": 2,
"max_output_tokens": 2,
"max_runtime_s": 2,
"max_reasoning_tokens": 2
},
"testing": {
"evidence_ref": "<string>",
"last_tested_at": "<string>",
"state": "recorded"
}
},
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"operation_key": "<string>",
"response_status": 1,
"state": "confirmed",
"problem": {
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}Authorizations
bearerAuthsessionCookie
Organization API key for application requests.
Path Parameters
Required string length:
1 - 200Response
Default Response
⌘I
Recover route permission
curl --request GET \
--url https://api.getmillwork.dev/v1/model-route-authorities/operations/{operationKey} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmillwork.dev/v1/model-route-authorities/operations/{operationKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"authority": {
"arm_registration_template": {
"capability_tags": [
"<string>"
],
"cost_class": "economy",
"data_class_grants": [
"public"
],
"display_name": "<string>",
"kind": "model",
"route_authority_id": "<string>"
},
"authority_id": "<string>",
"authority_revision": 1,
"binding_revision": 1,
"bound": {
"assumptions": [
"<string>"
],
"input_volume_tokens": 1,
"meters": [
{
"maximum_microusd": 1,
"maximum_volume": 1,
"meter": "<string>",
"rate_usd": "<string>"
}
],
"output_volume_tokens": 1,
"provider_maximum_microusd": 1,
"rate_digest": "<string>",
"source_contract_revision": "<string>",
"anthropic_evidence": {
"evidence_refs": [
"<string>"
],
"expires_at": "<string>",
"input_usd_per_token": "<string>",
"output_usd_per_token": "<string>",
"proof_digest": "<string>",
"request_usd": "<string>",
"resolved_model_ids": [
"<string>"
],
"version": "anthropic.messages/v1"
},
"class_evidence": {
"evidence_refs": [
"<string>"
],
"expected_provider": "<string>",
"expires_at": "<string>",
"meter_limits": [
{
"maximum_volume": 1,
"meter": "<string>",
"usage_field": "prompt_tokens"
}
],
"partitions": [
{
"maximum_volume": 1,
"partition": "<string>",
"usage_fields": [
"<string>"
]
}
],
"proof_digest": "<string>",
"reasoning_maximum_tokens": 1,
"reasoning_mode": "disabled",
"resolved_model_ids": [
"<string>"
],
"revision": "<string>",
"version": "openrouter.classes/v1"
}
},
"connection_id": "<string>",
"expires_at": "<string>",
"issued_at": "<string>",
"item_id": "<string>",
"model_deployment_id": "<string>",
"observation_revision": "<string>",
"plan_digest": "<string>",
"planner_version": "<string>",
"policy_revision": 1,
"prepared_request": {
"max_tokens": 1,
"model": "<string>",
"provider": {
"allow_fallbacks": false,
"data_collection": "deny",
"max_price": {},
"only": [
"<string>"
],
"order": [
"<string>"
],
"require_parameters": true
},
"stream": false,
"usage": {
"include": true
},
"reasoning": {
"effort": "none"
}
},
"route_id": "<string>",
"source_id": "<string>",
"state": "authorized",
"task_envelope": {
"data_classes": [
"public"
],
"max_input_tokens": 2,
"max_output_tokens": 2,
"max_runtime_s": 2,
"max_reasoning_tokens": 2
},
"testing": {
"evidence_ref": "<string>",
"last_tested_at": "<string>",
"state": "recorded"
}
},
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"operation_key": "<string>",
"response_status": 1,
"state": "confirmed",
"problem": {
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}{
"instance": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": 123,
"title": "<string>",
"type": "<string>",
"blockers": [
{
"action": "<string>",
"actor": "<string>",
"code": "access_unverified",
"evidence_refs": [
"<string>"
],
"message": "<string>"
}
],
"current_offer": {
"content_markdown": "<string>",
"display_label": "<string>",
"document_id": "<string>",
"offer_id": "<string>",
"published_url": "<string>",
"source_sha256": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version_id": "<string>"
},
"current_organization": {
"legal_entity_name": "<string>",
"profile_revision": 2
},
"detail": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>"
}
],
"next_actions": [
{
"action": "<string>",
"actor": "<string>"
}
],
"reason": "agreement_terminated",
"reason_code": "access_unverified",
"retry_after_s": 123
}